System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.ServiceModelExtensionElement

You should derive from the class to use a custom implementation from a machine or application configuration file.

Once a instance has been created, a custom binding element is returned. You can use this in an application configuration file by using the <add> element and setting the type attribute to the class, and the name attribute to the custom binding element.

Enables the use of a custom implementation from a machine or application configuration file.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added.

  Applies the content of a specified binding element to this binding configuration element.

  A binding element.
- Property
  4.0.0.0
  System.Type To be added.

  Override and implement the property to return the type of the custom binding element this associates with the configuration system.

  When overridden in a derived class, gets the object that represents the custom binding element.

- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added.

  When overridden in a derived class, returns a custom binding element object.

  A custom object.

- Method
  4.0.0.0
  System.Void `` To be added.

  Initializes this binding configuration section with the content of the specified binding element.

  A binding element.